# TelloDji
A python library for controlling Tello drones using the 1.3 or 2.0 SDK.

## ⚙️ Features
- Easy to use Tello commands
- Diverse async/multithreaded capability with callback functions
- Tons of preferences to customize the default distance the drone moves, rotates, etc...
- Built-in video module with live webpage including a feed of the drone (Requires [ffmpeg](https://ffmpeg.org))
- Fast & Sturdy

## ℹ️ Pythonic information
- Supports Python >= 3.10
- Video class utilizes [python-ffmpeg](https://github.com/kkroening/ffmpeg-python) and requires [ffmpeg](https://ffmpeg.org) to be installed

## 🚀 Installation

### Using pip

```
pip install tellopython
```

Or, if you have multiple versions of python installed:

```
pip3 install tellopython
```

### Using git

```
git clone https://github.com/zahtec/tellopython.git
```

## 📔 Documentation

Read the [wiki](https://github.com/zahtec/tellopy/wiki)

Or, if you would like to go into a deeper dive on the Tello sdk:

[Read the v1.3 version](https://terra-1-g.djicdn.com/2d4dce68897a46b19fc717f3576b7c6a/Tello%20%E7%BC%96%E7%A8%8B%E7%9B%B8%E5%85%B3/For%20Tello/Tello%20SDK%20Documentation%20EN_1.3_1122.pdf)
[Read the v2.0 version](https://dl-cdn.ryzerobotics.com/downloads/Tello/Tello%20SDK%202.0%20User%20Guide.pdf)
